## motioneye-dmo 0.42.1+20230321.gite6b6a2b

=== Makefile ===

all: motioneye/locale/*/LC_MESSAGES/motioneye.mo motioneye/static/js/motioneye.*.json

%.mo: %.po
	msgfmt -f $*.po -o $*.mo

%/motioneye.po: motioneye/locale/motioneye.pot
	msgmerge --no-wrap -N -U $@ $<
	l10n/traduki_po.sh $@

motioneye/static/js/motioneye.%.json: motioneye/locale/%/LC_MESSAGES/motioneye.js.po
	l10n/po2json motioneye/locale/$*/LC_MESSAGES/motioneye.js.po motioneye/static/js/motioneye.$*.json

%/motioneye.js.po: motioneye/locale/motioneye.js.pot
	msgmerge --no-wrap -N -U $@ $<
	l10n/traduki_po.sh $@

motioneye/locale/motioneye.js.pot: motioneye/static/js/*.js l10n/*.js
	xgettext --no-wrap --from-code=UTF-8 -o motioneye/locale/motioneye.js.pot motioneye/static/js/*.js l10n/*.js

motioneye/locale/motioneye.pot: motioneye/*.py motioneye/*/*.py motioneye/templates/*.html
	pybabel extract -F l10n/babel.cfg -o motioneye/locale/motioneye.pot motioneye/
	# Remove trailing empty line to satisfy pre-commit
	sed -i '$${/^$$/d}' motioneye/locale/motioneye.pot

#####
# regulo por krei novan tradukon
# ekz. : uzi "make initro" por krei la rumana traduko.
#####
init%:
	mkdir motioneye/locale/$*
	mkdir motioneye/locale/$*/LC_MESSAGES
	msginit --no-wrap -i motioneye/locale/motioneye.js.pot -o motioneye/locale/$*.js.tmp -l$* --no-translator
	l10n/traduki_po.sh motioneye/locale/$*.js.tmp
	mv motioneye/locale/$*.js.tmp motioneye/locale/$*/LC_MESSAGES/motioneye.js.po
	make motioneye/static/js/motioneye.$*.json
	msginit --no-wrap -i motioneye/locale/motioneye.pot -o motioneye/locale/$*.tmp -l$* --no-translator
	l10n/traduki_po.sh motioneye/locale/$*.tmp
	mv motioneye/locale/$*.tmp motioneye/locale/$*/LC_MESSAGES/motioneye.po
	make motioneye/locale/$*/LC_MESSAGES/motioneye.mo
	#msgattrib --no-wrap --set-fuzzy --clear-obsolete locale/$*.tmp -o locale/$*/LC_MESSAGES/motioneye.po

traduki:
	find motioneye/locale -name "*.po" -exec l10n/traduki_po.sh {} \;

=== debian/changelog ===
motioneye-dmo (0.42.1+20230321.gite6b6a2b-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Mar 2023 14:40:25 +0100

motioneye-dmo (0.42.1+20220916.gitebd33de-dmo2) unstable; urgency=medium

  * Don't Depends on sysvinit-utils but lsb-base

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Sep 2022 09:12:39 +0200

motioneye-dmo (0.42.1+20220916.gitebd33de-dmo1) unstable; urgency=medium

  * Switch to python3 code.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Sep 2022 15:36:46 +0200

motioneye-dmo (0.42.1-dmo0+deb10u1) stable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 Jun 2020 14:44:31 +0200

motioneye-dmo (0.42-dmo3) unstable; urgency=medium

  * Changes libjs-jquery dependency by node-jquery

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 May 2020 09:30:11 +0200

motioneye-dmo (0.42-dmo2) unstable; urgency=medium

  * Fix postinst (Missing configure fallback) (Thanks to Joe Burmeister for
    the bug report)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 May 2020 17:03:49 +0200

motioneye-dmo (0.42-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Dec 2019 14:36:31 +0100

motioneye-dmo (0.41-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Aug 2019 19:14:34 +0200

motioneye-dmo (0.40-dmo3) unstable; urgency=medium

  * Remove python-* packages from Depends. Let dh-python do the job.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Jun 2019 07:45:51 +0200

motioneye-dmo (0.40-dmo2) unstable; urgency=medium

  * Display upgrade message if motioneye is upgraded from 0.39.3-dmo1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Apr 2019 15:20:42 +0200

motioneye-dmo (0.40-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Apr 2019 23:06:04 +0200

motioneye-dmo (0.39.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Jul 2018 15:40:04 +0200

motioneye-dmo (0.39.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Jun 2018 16:16:48 +0200

motioneye-dmo (0.39.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Jun 2018 07:57:48 +0200

motioneye-dmo (0.39-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Apr 2018 08:49:23 +0200

motioneye-dmo (0.38.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Feb 2018 08:37:05 +0100

motioneye-dmo (0.38-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 31 Oct 2017 23:34:29 +0100

motioneye-dmo (0.37.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Sep 2017 08:48:11 +0200

motioneye-dmo (0.37-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Aug 2017 16:49:17 +0200

motioneye-dmo (0.36.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jul 2017 00:52:26 +0200

motioneye-dmo (0.36-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Jun 2017 21:21:53 +0200

motioneye-dmo (0.35.2-dmo2) unstable; urgency=medium

  * Fix broken postrm sript.
  * Add a /usr/share/doc/motioneye/QUICKSTART.txt file.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Feb 2017 09:33:56 +0100

motioneye-dmo (0.35.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Feb 2017 17:51:59 +0100

motioneye-dmo (0.35.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Nov 2016 18:42:34 +0100

motioneye-dmo (0.35-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Nov 2016 18:39:13 +0100

motioneye-dmo (0.34.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Oct 2016 01:34:15 +0200

motioneye-dmo (0.34-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Oct 2016 00:02:28 +0200

motioneye-dmo (0.33.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Sep 2016 23:55:38 +0200

motioneye-dmo (0.33.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Sep 2016 08:41:35 +0200

motioneye-dmo (0.33.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Aug 2016 08:39:31 +0200

motioneye-dmo (0.33.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Aug 2016 08:39:10 +0200

motioneye-dmo (0.33-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Aug 2016 19:19:39 +0200

motioneye-dmo (0.32.1-dmo2) unstable; urgency=medium

  * Remove /etc/motioneye directory on purge.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Jul 2016 15:55:14 +0200

motioneye-dmo (0.32.1-dmo1) unstable; urgency=medium

  * Initial release.



=== debian/control ===
Source: motioneye-dmo
Section: web
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/ccrisan/motioneye
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-sequence-scour,
 python3-setuptools, python3-dev

Package: motioneye
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends}, ${misc:Depends}, node-jquery, libjs-jquery-mousewheel, sysvinit-utils (>= 3.05-4~)
recommends: motion (>= 4.0.0), ffmpeg, v4l-utils
Description: web-based frontend for motion
 A web frontend for the motion daemon, written in Python3.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild

override_dh_clean:

	-rm -rf motioneye.egg-info

	dh_clean

execute_after_dh_auto_install:
	dh_link usr/share/nodejs/jquery/dist/jquery.min.js			usr/lib/python2.7/dist-packages/motioneye/static/js/jquery.min.js
	dh_link usr/share/javascript/jquery-mousewheel/jquery.mousewheel.js	usr/lib/python2.7/dist-packages/motioneye/static/js/jquery.mousewheel.js

	dh_installdirs var/lib/motioneye etc/motioneye lib/systemd/system

	mv debian/motioneye/usr/lib/python*/dist-packages/motioneye/extra/motioneye.conf.sample	debian/motioneye/etc/motioneye/motioneye.conf

	mv debian/motioneye/usr/lib/python*/dist-packages/motioneye/extra/motioneye.systemd	debian/motioneye/lib/systemd/system/motioneye.service

	rm -rf debian/motioneye/usr/share/motioneye

override_dh_auto_test:

=== debian/watch ===
version=4

opts="uversionmangle=s/rc1//" \
https://github.com/ccrisan/motioneye/tags \
.*/([\d\.]+)@ARCHIVE_EXT@

## motioneye-dmo 0.43.1~b2

=== debian/changelog ===
motioneye-dmo (0.43.1~b2-dmo1) unstable; urgency=medium

  * New upstream beta release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 May 2024 00:07:19 +0200

motioneye-dmo (0.42.1+20230321.gite6b6a2b-dmo2) unstable; urgency=medium

  * Fix meyectl path
  * Add /var/log/motioneye and /run/motioneye directories.
  * Should Depends on motion

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Jan 2024 15:41:56 +0100

=== debian/control ===
Source: motioneye-dmo
Section: web
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/ccrisan/motioneye
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-sequence-scour,
 python3-dev, quilt, pybuild-plugin-pyproject,
 dh-linktree,
 libjs-jquery, libjs-jquery-mousewheel

Package: motioneye
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends}, ${misc:Depends}, sysvinit-utils (>= 3.05-4~), motion
recommends: motion (>= 4.0.0), ffmpeg, v4l-utils
Description: web-based frontend for motion
 A web frontend for the motion daemon, written in Python3.

=== debian/watch ===
version=4

opts=repack \
https://github.com/ccrisan/motioneye/tags \
.*/([\d\.]+)@ARCHIVE_EXT@

## motioneye-dmo 0.43.1

=== Makefile ===
--- 
+++ 
@@ -6,14 +6,18 @@
 
 %/motioneye.po: motioneye/locale/motioneye.pot
 	msgmerge --no-wrap -N -U $@ $<
-	l10n/traduki_po.sh $@
+	# Disable Google Translator usage for now, which does rarely work from GitHub CI due to rate limiting.
+	# Also Weblate supports auto-translation from various sources as well.
+	#l10n/traduki_po.sh $@
 
 motioneye/static/js/motioneye.%.json: motioneye/locale/%/LC_MESSAGES/motioneye.js.po
 	l10n/po2json motioneye/locale/$*/LC_MESSAGES/motioneye.js.po motioneye/static/js/motioneye.$*.json
 
 %/motioneye.js.po: motioneye/locale/motioneye.js.pot
 	msgmerge --no-wrap -N -U $@ $<
-	l10n/traduki_po.sh $@
+	# Disable Google Translator usage for now, which does rarely work from GitHub CI due to rate limiting.
+	# Also Weblate supports auto-translation from various sources as well.
+	#l10n/traduki_po.sh $@
 
 motioneye/locale/motioneye.js.pot: motioneye/static/js/*.js l10n/*.js
 	xgettext --no-wrap --from-code=UTF-8 -o motioneye/locale/motioneye.js.pot motioneye/static/js/*.js l10n/*.js
@@ -31,11 +35,11 @@
 	mkdir motioneye/locale/$*
 	mkdir motioneye/locale/$*/LC_MESSAGES
 	msginit --no-wrap -i motioneye/locale/motioneye.js.pot -o motioneye/locale/$*.js.tmp -l$* --no-translator
-	l10n/traduki_po.sh motioneye/locale/$*.js.tmp
+	#l10n/traduki_po.sh motioneye/locale/$*.js.tmp
 	mv motioneye/locale/$*.js.tmp motioneye/locale/$*/LC_MESSAGES/motioneye.js.po
 	make motioneye/static/js/motioneye.$*.json
 	msginit --no-wrap -i motioneye/locale/motioneye.pot -o motioneye/locale/$*.tmp -l$* --no-translator
-	l10n/traduki_po.sh motioneye/locale/$*.tmp
+	#l10n/traduki_po.sh motioneye/locale/$*.tmp
 	mv motioneye/locale/$*.tmp motioneye/locale/$*/LC_MESSAGES/motioneye.po
 	make motioneye/locale/$*/LC_MESSAGES/motioneye.mo
 	#msgattrib --no-wrap --set-fuzzy --clear-obsolete locale/$*.tmp -o locale/$*/LC_MESSAGES/motioneye.po

=== debian/changelog ===
motioneye-dmo (0.43.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 Dec 2025 08:50:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/ccrisan/motioneye
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-sequence-scour,
- python3-dev, quilt, pybuild-plugin-pyproject,
+ python3-dev, quilt, pybuild-plugin-pyproject, python3-setuptools,
  dh-linktree,
  libjs-jquery, libjs-jquery-mousewheel

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild --with quilt,linktree

override_dh_clean:

	-rm -rf motioneye.egg-info

	dh_clean

execute_after_dh_auto_install:
	mv debian/motioneye/usr/lib/python*/dist-packages/motioneye/extra/motioneye.conf.sample	debian/motioneye/etc/motioneye/motioneye.conf
	rm debian/motioneye/usr/lib/python*/dist-packages/motioneye/extra/motioneye.systemd

#	rm -rf debian/motioneye/usr/share/motioneye

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/motioneye-project/motioneye/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
